Bug 36339 - Can't establish ethernet connection with 2.2.19 kernel
Can't establish ethernet connection with 2.2.19 kernel
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 15:06 EDT by Bertil Askelid
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 15:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bertil Askelid 2001-04-17 15:06:40 EDT
I've been using kernel-2.2.17-14 and have had no problems to set up
Ethernet connections with my Xircom CBEM56G PCMCIA card on a Dell Inspiron
7500.

Upgraded to kernel-2.2.19-7.0.1 this morning. The Xircom card is properly
configured, two happy beeps. The Ethernet connection is
being set up with identical ifconfig and routing tables as before. My
machine becomes pingable from the outside, but I can't get any connection
to anything from the inside. I can ping localhost, but that's it. The
gateway is not pingable.

My machine is 100% up-to-date with respect to the RedHat 7.0 upgrades.

Luckily, even though I have upgraded to all the new modules in the 2.2.19
kernel upgrade, when I run 2.2.17 instead, I do get a proper
Ethernet connection.
Comment 1 Arjan van de Ven 2001-04-17 15:16:15 EDT
Hm. Do you have any other pcmcia cards to test with?
(not a problem if you don't though)
2.2.19 is only critical if you have "hostile" local users. I'll investigate this
to see if we can fix this, but Xircom cards are very hard to get working ;)
Comment 2 Bertil Askelid 2001-04-17 15:32:26 EDT
No, I don't have any other pcmcia cards. No, I don't have any local users but
myself, so I'll just keep on using 2.2.17. I had no problem to configure my
system to use the Xircom card a year ago. And It has been performing just fine
through a couple of kernel upgrades, an upgrade to RedHat-7.0, and on the
2.2.17. You are not saying that I will have problems when I switch over to 7.1
soon?
Comment 3 Arjan van de Ven 2001-04-17 15:37:18 EDT
For 7.1 (or the 2.4 kernel rather) I wrote a whole new Xircom driver which so
far works very well for everybody....
Comment 4 Bertil Askelid 2001-04-17 15:41:31 EDT
Thanks a lot!!!! I can't wait until I get my hands on 7.1 ... :^)
Comment 5 Arjan van de Ven 2001-06-27 05:15:35 EDT
If you haven't got 7.1 yet: we put out a new 2.2.19 with the old xircom driver
in it yesterday.
Comment 6 Bertil Askelid 2001-06-27 12:35:54 EDT
I switched over to 7.1 the minute it came out. 

However, as you know from my bug 37454, I'm still having problems with having to
do a cardctl eject followed by a cardctl insert each time I have done a ifdown
on the Ethernet card slot. Further, see my new comments for that bug.

So even if I'm gone from 2.2.19, your fix will work. Bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.